Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class Conditions

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.Conditions`

public class Conditions
extends oracle.security.xmlsec.util.XMLElement

The SAML Conditions element used in an Assertion element contains the conditions that must take into account in assessing the validity of the assertion.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Conditions(org.w3c.dom.Document owner)` Creates a new `Conditions` instance.
`Conditions(org.w3c.dom.Element element)` Creates a new `Conditions` instance from the given Element node.
`Conditions(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `Conditions` instance from the given Element node.

Method Summary
`void` | `addCondition(Condition condition)` Adds a `Condition` to the collection.
`java.util.List` | `getAudienceRestrictionConditions()` Gets the list of `AudienceRestrictionCondition` objects contained in this Conditions.
`java.util.List` | `getDoNotCacheConditions()` Gets the list of `DoNotCacheCondition` objects contained in this Conditions.
`java.util.Date` | `getNotBefore()` Returns the time instant attribute at the which the assertion becomes valid.
`java.util.Date` | `getNotOnOrAfter()` Returns the time instant attribute at the which the assertion has expired.
`void` | `setNotBefore(java.util.Date notBefore)` Sets the earliest time instant attribute at which the assertion is valid.
`void` | `setNotOnOrAfter(java.util.Date notOnOrAfter)` Sets the time instant attribute at which the assertion has expired.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Conditions

    public Conditions(org.w3c.dom.Element element)
               throws org.w3c.dom.DOMException

  Creates a new `Conditions` instance from the given Element node.
Parameters:
  `element` - A Conditions element.

### Conditions

    public Conditions(org.w3c.dom.Element element,
                      java.lang.String SystemId)
               throws org.w3c.dom.DOMException

  Creates a new `Conditions` instance from the given Element node.
Parameters:
  `element` - A Conditions element.

### Conditions

    public Conditions(org.w3c.dom.Document owner)
               throws org.w3c.dom.DOMException

  Creates a new `Conditions` instance.
Parameters:
  `owner` - The owner document of the new Conditions.

Method Detail

### setNotBefore

    public void setNotBefore(java.util.Date notBefore)

  Sets the earliest time instant attribute at which the assertion is valid.
  Parameters:
    `notBefore` - A `Date` object representing the time at which the assertion becomes valid.

### getNotBefore

    public java.util.Date getNotBefore()

  Returns the time instant attribute at the which the assertion becomes valid.
  Returns:
    A `Date` object or `null` if none has been set.

### setNotOnOrAfter

    public void setNotOnOrAfter(java.util.Date notOnOrAfter)

  Sets the time instant attribute at which the assertion has expired.
  Parameters:
    `notOnOrAfter` - A `Date` object representing the expiration time of the assertion.

### getNotOnOrAfter

    public java.util.Date getNotOnOrAfter()

  Returns the time instant attribute at the which the assertion has expired.
  Returns:
    A `Date` object or `null` if none has been set.

### addCondition

    public void addCondition(Condition condition)

  Adds a `Condition` to the collection.
  Parameters:
    `condition` - The `Condition` to add to this `Conditions` object.

### getAudienceRestrictionConditions

    public java.util.List getAudienceRestrictionConditions()

  Gets the list of `AudienceRestrictionCondition` objects contained in this Conditions.
  Returns:
    A `List` containing `AudienceRestrictionConditions` objects, or an empty `List` if no AudienceRestrictionCondition has been set.

### getDoNotCacheConditions

    public java.util.List getDoNotCacheConditions()

  Gets the list of `DoNotCacheCondition` objects contained in this Conditions.
  Returns:
    A `List` containing `DoNotCacheCondition` objects, or an empty `List` if no DoNotCacheCondition has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.